<%@ Control Language="c#" AutoEventWireup="false" CodeBehind="UMS_EmlTemplates.ascx.cs"
    Inherits="DNNMasters.UMS.UI.UserControls.UMS_EmlTemplates" %>
<%@ Register TagPrefix="dnn" Namespace="DotNetNuke.UI.WebControls" Assembly="DotNetNuke" %>
<%@ Register TagPrefix="dnn" TagName="TextEditor" Src="~/controls/TextEditor.ascx" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<asp:UpdatePanel ID="UpdatePanel1" runat="server" ChildrenAsTriggers="True" UpdateMode="Always">
    <ContentTemplate>
        <asp:Panel ID="_pnlEmailTemplatesList" runat="server">
            <table>
                <tr>
                    <td colspan="2">
                        <dnn:Label ID="lblTemplateType" runat="server" ControlName="_rblTemplatesTypes" ResourceKey="lblTemplateType"
                            Suffix=":" />
                        <asp:RadioButtonList ID="_rblTemplatesTypes" CssClass="Normal" RepeatDirection="Horizontal"
                            runat="server" AutoPostBack="true" />
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:ListBox ID="_lbxEmailTemplates" runat="server" CssClass="Normal" Height="150"
                            Width="150" DataTextField="Text" DataValueField="Value" />
                    </td>
                    <td align="left">
                        <dnn:commandbutton id="_cmdNewEmailTemplate" runat="server" resourcekey="_cmdNewEmailTemplate"
                            CssClass="CommandButton" imageurl="~/images/add.gif" /><br />
                        <br />
                        <dnn:commandbutton id="_cmdEditEmailTemplate" runat="server" resourcekey="_cmdEditEmailTemplate"
                            CssClass="CommandButton" imageurl="~/images/edit.gif" /><br />
                        <br />
                        <dnn:commandbutton id="_cmdDeleteEmailTemplate" runat="server" resourcekey="_cmdDeleteEmailTemplate"
                            CssClass="CommandButton" imageurl="~/images/delete.gif" />
                    </td>
                </tr>
            </table>
        </asp:Panel>
        <asp:Panel ID="_pnlEmailTemplateEditor" runat="server" Visible="false">
            <table>
                <tr>
                    <td rowspan="2">
                        <asp:Label ID="_lblTemplateFields" runat="server" CssClass="Normal" />
                    </td>
                    <td >
                        <div class="dnnForm">
                            <fieldset>
                                <div class="dnnFormItem">
                                    <dnn:Label ID="lblEmailTemplateSubject" runat="server" ControlName="_txbEmailTemplateSubject"
                                        ResourceKey="lblEmailTemplateSubject" Suffix=":" />
                                    <asp:TextBox ID="_txbEmailTemplateSubject" CssClass="NormalTextBox" runat="server"
                                        Width="200" /><br />
                                </div>
                                <div class="dnnFormItem">
                                    <dnn:Label ID="lblEmailTemplateContent" runat="server" ControlName="_txeEmailTemplateContent"
                                        ResourceKey="lblEmailTemplateContent" Suffix=":" />
                                    <dnn:TextEditor ID="_txeEmailTemplateContent" runat="server" Width="500" Height="350" />
                                </div>
                            </fieldset>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td align="center" class="SubHead">
                        <div class="dnnForm">
                            <fieldset>
                                <div class="dnnFormItem">
                                    <dnn:Label ID="lblEmailTemplateName" runat="server" ControlName="_txbEmailTemplateName"
                                        ResourceKey="lblEmailTemplateName" Suffix=":" />
                                    <asp:TextBox ID="_txbEmailTemplateName" CssClass="NormalTextBox" runat="server" Width="150" />
                                </div>
                            </fieldset>
                        </div>
                        <ul class="dnnActions dnnClear">
                            <li>
                                <asp:LinkButton ID="_lnkSaveEmailTemplate" resourcekey="_lnkSaveEmailTemplate" runat="server"
                                    CssClass="dnnPrimaryAction" ValidationGroup="grpEmailTemplate" /></li>
                            <li>
                                <asp:LinkButton ID="_lnkCancelEmailTemplate" resourcekey="_lnkCancelEmailTemplate"
                                    runat="server" CssClass="dnnSecondaryAction" /></li>
                        </ul>
                        <asp:RequiredFieldValidator ID="valEmailTemplateSubject" resourcekey="EmailSubject.ErrorMessage"
                            ValidationGroup="grpEmailTemplate" CssClass="NormalRed" runat="server" ControlToValidate="_txbEmailTemplateSubject"
                            Display="Dynamic" />
                        <asp:RequiredFieldValidator ID="valEmailTemplateName" resourcekey="TemplateName.ErrorMessage"
                            ValidationGroup="grpEmailTemplate" CssClass="NormalRed" runat="server" ControlToValidate="_txbEmailTemplateName"
                            Display="Dynamic" />
                        
                    </td>
                </tr>
                <tr>
                    <td colspan="2">
                        <br />
                        <asp:Label ID="lblPassAttention" resourcekey="lblPassAttention" CssClass="Normal"
                            runat="server" /><br />
                        <asp:Label ID="lblURInfo" resourcekey="lblURInfo" CssClass="Normal" runat="server" />
                    </td>
                </tr>
            </table>
        </asp:Panel>
    </ContentTemplate>
</asp:UpdatePanel>
<asp:UpdateProgress ID="UpdateProgress1" runat="server" AssociatedUpdatePanelID="UpdatePanel1">
    <ProgressTemplate>
        <div align="center">
            <asp:Image ID="imgLoader" ImageUrl="~/DesktopModules/DNNMasters.UMS/images/ajax-loader.gif"
                runat="server" ImageAlign="Middle" />
        </div>
    </ProgressTemplate>
</asp:UpdateProgress>
